package sz

import "time"

type TempHdHospital struct {
	ID             int64     `gorm:"column:id" json:"id"`
	HospitalId     string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	InstType       string    `gorm:"column:INST_TYPE" json:"INST_TYPE"`
	DepartMentName string    `gorm:"column:DEPARTMENT_NAME" json:"DEPARTMENT_NAME"`
	AuthorizedBeds int64     `gorm:"column:AUTHORIZED_BEDS" json:"AUTHORIZED_BEDS"`
	CreateTime     time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	UpdateTime     time.Time `gorm:"column:UPDATE_TIME" json:"UPDATE_TIME"`
	Sjscsj         time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj             string    `gorm:"column:MJ" json:"MJ"`
	Xgbz           int64     `gorm:"column:XGBZ" json:"XGBZ"`
	Ylyl1          string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2          string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdHospital) TableName() string {
	return "t_hd_hospital"
}

type TempHdStaff struct {
	ID                           int64     `gorm:"column:id" json:"id"`
	HospitalId                   string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	StaffId                      string    `gorm:"column:STAFF_ID" json:"STAFF_ID"`
	IdType                       string    `gorm:"column:ID_TYPE" json:"ID_TYPE"`
	IdNo                         string    `gorm:"column:ID_NO" json:"ID_NO"`
	StaffName                    string    `gorm:"column:STAFF_NAME" json:"STAFF_NAME"`
	Position                     string    `gorm:"column:POSITION" json:"POSITION"`
	TrainingName                 string    `gorm:"column:TRAINING_NAME" json:"TRAINING_NAME"`
	PracticeCertificate          string    `gorm:"column:PRACTICE_CERTIFICATE" json:"PRACTICE_CERTIFICATE"`
	PracticeCertificateNo        string    `gorm:"column:PRACTICE_CERTIFICATE_NO" json:"PRACTICE_CERTIFICATE_NO"`
	QualificationCertificate     string    `gorm:"column:QUALIFICATION_CERTIFICATE" json:"QUALIFICATION_CERTIFICATE"`
	QualificationType            string    `gorm:"column:QUALIFICATION_TYPE" json:"QUALIFICATION_TYPE"`
	PermanentType                string    `gorm:"column:PERMANENT_TYPE" json:"PERMANENT_TYPE"`
	DiplomaFile                  string    `gorm:"column:DIPLOMA_FILE" json:"DIPLOMA_FILE"`
	DegreeCertificateFile        string    `gorm:"column:DEGREE_CERTIFICATE_FILE" json:"DEGREE_CERTIFICATE_FILE"`
	TrainingCertificateFile      string    `gorm:"column:TRAINING_CERTIFICATE_FILE" json:"TRAINING_CERTIFICATE_FILE"`
	PracticeCertificateFile      string    `gorm:"column:PRACTICE_CERTIFICATE_FILE" json:"PRACTICE_CERTIFICATE_FILE"`
	QualificationCertificateFile string    `gorm:"column:QUALIFICATION_CERTIFICATE_FILE" json:"QUALIFICATION_CERTIFICATE_FILE"`
	Xgbz                         string    `gorm:"column:XGBZ" json:"XGBZ"`
	TrainingDate                 time.Time `gorm:"column:TRAINING_DATE" json:"TRAINING_DATE"`
	InDate                       time.Time `gorm:"column:IN_DATE" json:"IN_DATE"`
	OutDate                      time.Time `gorm:"column:OUT_DATE" json:"OUT_DATE"`
	CreateTime                   time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	UpdateTime                   time.Time `gorm:"column:UPDATE_TIME" json:"UPDATE_TIME"`
	Sjscsj                       time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj                           string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1                        string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2                        string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdStaff) TableName() string {
	return "t_hd_staff"
}

type TempHdLayout struct {
	ID            int64     `gorm:"column:id" json:"id"`
	HospitalId    string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	PartitionName string    `gorm:"column:PARTITION_NAME" json:"PARTITION_NAME"`
	PartitionImg  string    `gorm:"column:PARTITION_IMG" json:"PARTITION_IMG"`
	FunctionArea  string    `gorm:"column:FUNCTION_AREA" json:"FUNCTION_AREA"`
	Xgbz          int64     `gorm:"column:XGBZ" json:"XGBZ"`
	CreateTime    time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	Sjscsj        time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj            string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1         string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2         string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdLayout) TableName() string {
	return "t_hd_layout"
}

type TempHdDm struct {
	ID             int64     `gorm:"column:id" json:"id"`
	HospitalId     string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	EquipmentId    string    `gorm:"column:EQUIPMENT_ID" json:"EQUIPMENT_ID"`
	SickbedNo      string    `gorm:"column:SICKBED_NO" json:"SICKBED_NO"`
	EquipmentBrand string    `gorm:"column:EQUIPMENT_BRAND" json:"EQUIPMENT_BRAND"`
	EquipmentModel string    `gorm:"column:EQUIPMENT_MODEL" json:"EQUIPMENT_MODEL"`
	EnableTime     time.Time `gorm:"column:ENABLE_TIME" json:"ENABLE_TIME"`
	DiscardedTime  time.Time `gorm:"column:DISCARDED_TIME" json:"DISCARDED_TIME"`
	Status         string    `gorm:"column:STATUS" json:"STATUS"`
	EquipmentType  string    `gorm:"column:EQUIPMENT_TYPE" json:"EQUIPMENT_TYPE"`
	Temperature    string    `gorm:"column:TEMPERATURE" json:"TEMPERATURE"`
	Humidity       string    `gorm:"column:HUMIDITY" json:"HUMIDITY"`
	Pressure       string    `gorm:"column:PRESSURE" json:"PRESSURE"`
	PressureUnit   string    `gorm:"column:PRESSURE_UNIT" json:"PRESSURE_UNIT"`
	WorkingVoltage string    `gorm:"column:WORKING_VOLTAGE" json:"WORKING_VOLTAGE"`
	Xgbz           string    `gorm:"column:XGBZ" json:"XGBZ"`
	Bbp            string    `gorm:"column:BBP" json:"BBP"`
	CreateTime     time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	UpdateTime     time.Time `gorm:"column:UPDATE_TIME" json:"UPDATE_TIME"`
	Sjscsj         time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj             string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1          string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2          string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdDm) TableName() string {
	return "t_hd_dm"
}

type TempHdWm struct {
	ID              int64     `gorm:"column:id" json:"id"`
	HospitalId      string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	EquipmentId     string    `gorm:"column:EQUIPMENT_ID" json:"EQUIPMENT_ID"`
	EquipmentBrand  string    `gorm:"column:EQUIPMENT_BRAND" json:"EQUIPMENT_BRAND"`
	EquipmentModel  string    `gorm:"column:EQUIPMENT_MODEL" json:"EQUIPMENT_MODEL"`
	EnableTime      time.Time `gorm:"column:ENABLE_TIME" json:"ENABLE_TIME"`
	DiscardedTime   time.Time `gorm:"column:DISCARDED_TIME" json:"DISCARDED_TIME"`
	EquipmentType   string    `gorm:"column:EQUIPMENT_TYPE" json:"EQUIPMENT_TYPE"`
	Temperature     string    `gorm:"column:TEMPERATURE" json:"TEMPERATURE"`
	Humidity        string    `gorm:"column:HUMIDITY" json:"HUMIDITY"`
	Pressure        string    `gorm:"column:PRESSURE" json:"PRESSURE"`
	PressureUnit    string    `gorm:"column:PRESSURE_UNIT" json:"PRESSURE_UNIT"`
	QualityStandard string    `gorm:"column:QUALITY_STANDARD" json:"QUALITY_STANDARD"`
	Xgbz            string    `gorm:"column:XGBZ" json:"XGBZ"`
	CreateTime      time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	UpdateTime      time.Time `gorm:"column:UPDATE_TIME" json:"UPDATE_TIME"`
	Sjscsj          time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj              string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1           string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2           string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdWm) TableName() string {
	return "t_hd_wm"
}

type TempHdMaintain struct {
	ID            int64     `gorm:"column:id" json:"id"`
	SN            string    `gorm:"column:SN" json:"SN"`
	HospitalId    string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	EquipmentId   string    `gorm:"column:EQUIPMENT_ID" json:"EQUIPMENT_ID"`
	EquipmentType string    `gorm:"column:EQUIPMENT_TYPE" json:"EQUIPMENT_TYPE"`
	RepairTime    time.Time `gorm:"column:REPAIR_TIME" json:"REPAIR_TIME"`
	Xgbz          string    `gorm:"column:XGBZ" json:"XGBZ"`
	CreateTime    time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	Sjscsj        time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj            string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1         string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2         string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdMaintain) TableName() string {
	return "t_hd_maintain"
}

type TempHdDisinfectMethod struct {
	ID              int64     `gorm:"column:id" json:"id"`
	SN              string    `gorm:"column:SN" json:"SN"`
	HospitalId      string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	EquipmentId     string    `gorm:"column:EQUIPMENT_ID" json:"EQUIPMENT_ID"`
	EquipmentType   string    `gorm:"column:EQUIPMENT_TYPE" json:"EQUIPMENT_TYPE"`
	EquipmentModel  string    `gorm:"column:EQUIPMENT_MODEL" json:"EQUIPMENT_MODEL"`
	DisinfectMethod string    `gorm:"column:DISINFECT_METHOD" json:"DISINFECT_METHOD"`
	Disinfector     string    `gorm:"column:DISINFECTOR" json:"DISINFECTOR"`
	Concentration   string    `gorm:"column:CONCENTRATION" json:"CONCENTRATION"`
	Frequency       string    `gorm:"column:FREQUENCY" json:"FREQUENCY"`
	Xgbz            string    `gorm:"column:XGBZ" json:"XGBZ"`
	CreateTime      time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	UpdateTime      time.Time `gorm:"column:UPDATE_TIME" json:"UPDATE_TIME"`
	Sjscsj          time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj              string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1           string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2           string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdDisinfectMethod) TableName() string {
	return "t_hd_disinfect_method"
}

type TempHdOtherMachine struct {
	ID             int64     `gorm:"column:id" json:"id"`
	HospitalId     string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	EquipmentId    string    `gorm:"column:EQUIPMENT_ID" json:"EQUIPMENT_ID"`
	EquipmentBrand string    `gorm:"column:EQUIPMENT_BRAND" json:"EQUIPMENT_BRAND"`
	EquipmentModel string    `gorm:"column:EQUIPMENT_MODEL" json:"EQUIPMENT_MODEL"`
	EnableTime     time.Time `gorm:"column:ENABLE_TIME" json:"ENABLE_TIME"`
	DiscardedTime  time.Time `gorm:"column:DISCARDED_TIME" json:"DISCARDED_TIME"`
	Status         string    `gorm:"column:STATUS" json:"STATUS"`
	Xgbz           string    `gorm:"column:XGBZ" json:"XGBZ"`
	CreateTime     time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	UpdateTime     time.Time `gorm:"column:UPDATE_TIME" json:"UPDATE_TIME"`
	Sjscsj         time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj             string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1          string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2          string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdOtherMachine) TableName() string {
	return "t_hd_other_machine"
}

type TempHdPatient struct {
	ID                int64     `gorm:"column:id" json:"id"`
	HospitalId        string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	PatientNk         string    `gorm:"column:PATIENT_NK" json:"PATIENT_NK"`
	CardNo            string    `gorm:"column:CARD_NO" json:"CARD_NO"`
	CardType          string    `gorm:"column:CARD_TYPE" json:"CARD_TYPE"`
	IdNo              string    `gorm:"column:ID_NO" json:"ID_NO"`
	IdType            string    `gorm:"column:ID_TYPE" json:"ID_TYPE"`
	PatientName       string    `gorm:"column:PATIENT_NAME" json:"PATIENT_NAME"`
	Gender            string    `gorm:"column:GENDER" json:"GENDER"`
	BornDate          time.Time `gorm:"column:BORN_DATE" json:"BORN_DATE"`
	DiagnosisSummary  string    `gorm:"column:DIAGNOSIS_SUMMARY" json:"DIAGNOSIS_SUMMARY"`
	IsCrf             string    `gorm:"column:IS_CRF" json:"IS_CRF"`
	AllergyHistory    string    `gorm:"column:ALLERGY_HISTORY" json:"ALLERGY_HISTORY"`
	PayMethod         string    `gorm:"column:PAY_METHOD" json:"PAY_METHOD"`
	DialysisStartTime time.Time `gorm:"column:DIALYSIS_START_TIME" json:"DIALYSIS_START_TIME"`
	LocalStartTime    time.Time `gorm:"column:LOCAL_START_TIME" json:"LOCAL_START_TIME"`
	Xgbz              string    `gorm:"column:XGBZ" json:"XGBZ"`
	CreatedTime       time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	UpdateTime        time.Time `gorm:"column:UPDATE_TIME" json:"UPDATE_TIME"`
	Sjscsj            time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj                string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1             string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2             string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdPatient) TableName() string {
	return "t_hd_patient"
}

type TempHdPatientOut struct {
	ID              int64     `gorm:"column:id" json:"id"`
	Sn              string    `gorm:"column:SN" json:"SN"`
	HospitalId      string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	PatientNk       string    `gorm:"column:PATIENT_NK" json:"PATIENT_NK"`
	SequelaeDate    time.Time `gorm:"column:SEQUELAE_DATE" json:"SEQUELAE_DATE"`
	SequelaeType    string    `gorm:"column:SEQUELAE_TYPE" json:"SEQUELAE_TYPE"`
	SequelaeSubType string    `gorm:"column:SEQUELAE_SUB_TYPE" json:"SEQUELAE_SUB_TYPE"`
	ExtReason       string    `gorm:"column:EXT_REASON" json:"EXT_REASON"`
	CreateTime      time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	Sjscsj          time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj              string    `gorm:"column:MJ" json:"MJ"`
	Xgbz            int64     `gorm:"column:XGBZ" json:"XGBZ"`
	Ylyl1           string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2           string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdPatientOut) TableName() string {
	return "t_hd_patient_out"
}

type TempHdPs struct {
	ID                int64     `gorm:"column:id" json:"id"`
	HospitalId        string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	PrescribeId       string    `gorm:"column:PRESCRIBE_ID" json:"PRESCRIBE_ID"`
	PatientNk         string    `gorm:"column:PATIENT_NK" json:"PATIENT_NK"`
	MedicalId         string    `gorm:"column:MEDICAL_ID" json:"MEDICAL_ID"`
	DrId              string    `gorm:"column:DR_ID" json:"DR_ID"`
	DialysisFrequency int64     `gorm:"column:DIALYSIS_FREQUENCY" json:"DIALYSIS_FREQUENCY"`
	FrequencyUnit     int64     `gorm:"column:FREQUENCY_UNIT" json:"FREQUENCY_UNIT"`
	DialysisDuration  float64   `gorm:"column:DIALYSIS_DURATION" json:"DIALYSIS_DURATION"`
	Hdf               string    `gorm:"column:HDF" json:"HDF"`
	HdfFrequencyUnit  int64     `gorm:"column:HDF_FREQUENCY_UNIT" json:"HDF_FREQUENCY_UNIT"`
	HdfFrequency      int64     `gorm:"column:HDF_FREQUENCY" json:"HDF_FREQUENCY"`
	HdfDuration       float64   `gorm:"column:HDF_DURATION" json:"HDF_DURATION"`
	Hp                string    `gorm:"column:HP" json:"HP"`
	HpFrequency       int64     `gorm:"column:HP_FREQUENCY" json:"HP_FREQUENCY"`
	HpFrequencyUnit   int64     `gorm:"column:HP_FREQUENCY_UNIT" json:"HP_FREQUENCY_UNIT"`
	HpDuration        float64   `gorm:"column:HP_DURATION" json:"HP_DURATION"`
	K                 float64   `gorm:"column:K" json:"K"`
	Ca                float64   `gorm:"column:CA" json:"CA"`
	Na                float64   `gorm:"column:NA" json:"NA"`
	Glucose           string    `gorm:"column:GLUCOSE" json:"GLUCOSE"`
	FluxLevel         string    `gorm:"column:FLUX_LEVEL" json:"FLUX_LEVEL"`
	FluxValue         string    `gorm:"column:FLUX_VALUE" json:"FLUX_VALUE"`
	UseType           string    `gorm:"column:USE_TYPE" json:"USE_TYPE"`
	PrescribeTime     time.Time `gorm:"column:PRESCRIBE_TIME" json:"PRESCRIBE_TIME"`
	CreateTime        time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	Sjscsj            time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj                string    `gorm:"column:MJ" json:"MJ"`
	Xgbz              int64     `gorm:"column:XGBZ" json:"XGBZ"`
	Ylyl1             string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2             string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdPs) TableName() string {
	return "t_hd_ps"
}

type TempHdPsMedicine struct {
	ID             int64     `gorm:"column:id" json:"id"`
	Sn             string    `gorm:"column:SN" json:"SN"`
	PrescribeId    string    `gorm:"column:PRESCRIBE_ID" json:"PRESCRIBE_ID"`
	HospitalId     string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	MedicineTypeId string    `gorm:"column:MEDICINE_TYPE_ID" json:"MEDICINE_TYPE_ID"`
	MedicineId     string    `gorm:"column:MEDICINE_ID" json:"MEDICINE_ID"`
	CreatedTime    time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	Sjscsj         time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj             string    `gorm:"column:MJ" json:"MJ"`
	Xgbz           int64     `gorm:"column:XGBZ" json:"XGBZ"`
	Ylyl1          string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2          string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdPsMedicine) TableName() string {
	return "t_hd_ps_medicine"
}

type TempHdInfection struct {
	ID         int64     `gorm:"column:id" json:"id"`
	HospitalId string    `gorm:"column:hospital_id" json:"hospital_id"`
	PatientNk  string    `gorm:"column:patient_nk" json:"patient_nk"`
	Hbv        string    `gorm:"column:hbv" json:"hbv"`
	Hcv        string    `gorm:"column:hcv" json:"hcv"`
	Rpr        string    `gorm:"column:rpr" json:"rpr"`
	Hiv        string    `gorm:"column:hiv" json:"hiv"`
	Hbsag      string    `gorm:"column:hbsag" json:"hbsag"`
	Hbs        string    `gorm:"column:hbs" json:"hbs"`
	Hbeag      string    `gorm:"column:hbeag" json:"hbeag"`
	Hbe        string    `gorm:"column:hbe" json:"hbe"`
	Hbc        string    `gorm:"column:hbc" json:"hbc"`
	CheckDate  time.Time `gorm:"column:check_date" json:"check_date"`
	CreateTime time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj     time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj         string    `gorm:"column:mj" json:"mj"`
	Xgbz       int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1      string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2      string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdInfection) TableName() string {
	return "t_hd_infection"
}

type TempHdInhospital struct {
	ID             int64     `gorm:"column:id" json:"id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id"`
	MedicalNo      string    `gorm:"column:medical_no" json:"medical_no"`
	AdmissionTime  time.Time `gorm:"column:admission_time" json:"admission_time"`
	AdmissionCause string    `gorm:"column:admission_cause" json:"admission_cause"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdInhospital) TableName() string {
	return "t_hd_inhospital"
}

type TempHdOuthospital struct {
	ID            int64     `gorm:"column:id" json:"id"`
	HospitalId    string    `gorm:"column:hospital_id" json:"hospital_id"`
	MedicalNo     string    `gorm:"column:medical_no" json:"medical_no"`
	DischargeDate time.Time `gorm:"column:discharge_date" json:"discharge_date"`
	CreateTime    time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj        time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj            string    `gorm:"column:mj" json:"mj"`
	Xgbz          int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1         string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2         string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdOuthospital) TableName() string {
	return "t_hd_outhospital"
}

type DataUpload struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId           int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	SyncType        int64  `gorm:"column:sync_type" json:"sync_type" form:"sync_type"`
	SyncTime        int64  `gorm:"column:sync_time" json:"sync_time" form:"sync_time"`
	SyncResultType  int    `gorm:"column:sync_result_type" json:"sync_result_type" form:"sync_result_type"`
	SyncRsultRemark string `gorm:"column:sync_result_remark" json:"sync_result_remark" form:"sync_result_remark"`
	SyncTotalNum    int64  `gorm:"column:sync_total_num" json:"sync_total_num" form:"sync_total_num"`
	SyncSuccessNum  int64  `gorm:"column:sync_success_num" json:"sync_success_num" form:"sync_success_num"`
	SyncInfo        string `gorm:"column:sync_info" json:"sync_info" form:"sync_info"`
	CreateTime      int64  `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime      int64  `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (DataUpload) TableName() string {
	return "data_sync_info"
}

type DataUploadConfig struct {
	ID             int64  `gorm:"column:id" json:"id"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id"`
	ProvinceId     int64  `gorm:"column:province_id" json:"province_id"`
	CityId         int64  `gorm:"column:city_id" json:"city_id"`
	GatewayAddress string `gorm:"column:gateway_address" json:"gateway_address"`
	AppId          string `gorm:"column:app_id" json:"app_id"`
	Key            string `gorm:"column:key" json:"key"`
	Status         int64  `gorm:"column:status" json:"status"`
	CreateTime     int64  `gorm:"column:create_time" json:"create_time"`
	ModifyTime     int64  `gorm:"column:modify_time" json:"modify_time"`
	TimeQuantum    int64  `gorm:"column:time_quantum" json:"time_quantum"`
	DepartmentName string `gorm:"column:department_name" json:"department_name"`
	HospitalId     string `gorm:"column:hospital_id" json:"hospital_id"`
	InstType       int64  `gorm:"column:inst_type" json:"inst_type"`
	DbHost         string `gorm:"column:db_host" json:"db_host"`
	DbPort         string `gorm:"column:db_port" json:"db_port"`
	DbUser         string `gorm:"column:db_user" json:"db_user"`
	DbPass         string `gorm:"column:db_pass" json:"db_pass"`
	DbName         string `gorm:"column:db_name" json:"db_name"`
}

func (DataUploadConfig) TableName() string {
	return "data_upload_config"
}

type TempHdShift struct {
	ID             int64     `gorm:"column:id" json:"id"`
	PsId           string    `gorm:"column:PS_ID" json:"PS_ID"`
	HospitalId     string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	PatientNk      string    `gorm:"column:PATIENT_NK" json:"PATIENT_NK"`
	ScheduleDate   time.Time `gorm:"column:SCHEDULE_DATE" json:"SCHEDULE_DATE"`
	ShiftType      string    `gorm:"column:SHIFT_TYPE" json:"SHIFT_TYPE"`
	SickbedNo      string    `gorm:"column:SICKBED_NO" json:"SICKBED_NO"`
	ScheduleStatus string    `gorm:"column:SCHEDULE_STATUS" json:"SCHEDULE_STATUS"`
	CreateTime     time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	Sjscsj         time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj             string    `gorm:"column:MJ" json:"MJ"`
	Xgbz           int64     `gorm:"column:XGBZ" json:"XGBZ"`
	Ylyl1          string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2          string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdShift) TableName() string {
	return "t_hd_shift"
}

type TempHdDoctorsAdvice struct {
	ID               int64     `gorm:"column:id" json:"id"`
	MedicalOrDerId   string    `gorm:"column:MEDICAL_ORDER_ID" json:"MEDICAL_ORDER_ID"`
	HospitalId       string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	DialysisId       string    `gorm:"column:DIALYSIS_ID" json:"DIALYSIS_ID"`
	OrderType        string    `gorm:"column:ORDER_TYPE" json:"ORDER_TYPE"`
	RrtType          string    `gorm:"column:RRT_TYPE" json:"RRT_TYPE"`
	PatientNk        string    `gorm:"column:PATIENT_NK" json:"PATIENT_NK"`
	DialysisDuration int64     `gorm:"column:DIALYSIS_DURATION" json:"DIALYSIS_DURATION"`
	BloodVol         int64     `gorm:"column:BLOOD_VOL" json:"BLOOD_VOL"`
	DryWeigh         float64   `gorm:"column:DRY_WEIGHT" json:"DRY_WEIGHT"`
	CreateTime       time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	Sjscsj           time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj               string    `gorm:"column:MJ" json:"MJ"`
	Xgbz             int64     `gorm:"column:XGBZ" json:"XGBZ"`
	Ylyl1            string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2            string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdDoctorsAdvice) TableName() string {
	return "t_hd_doctors_advice"
}

type TempHdDialysis struct {
	ID                    int64     `gorm:"column:id" json:"id"`
	DialysisId            string    `gorm:"column:DIALYSIS_ID" json:"DIALYSIS_ID"`
	HospitalId            string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	PatientNk             string    `gorm:"column:PATIENT_NK" json:"PATIENT_NK"`
	PsId                  string    `gorm:"column:PS_ID" json:"PS_ID"`
	DialysisDate          time.Time `gorm:"column:DIALYSIS_DATE" json:"DIALYSIS_DATE"`
	SickbedNo             string    `gorm:"column:SICKBED_NO" json:"SICKBED_NO"`
	DivisionId            string    `gorm:"column:DIVISION_ID" json:"DIVISION_ID"`
	EquipmentId           string    `gorm:"column:EQUIPMENT_ID" json:"EQUIPMENT_ID"`
	MixDalysis            string    `gorm:"column:MIX_DIALYSIS" json:"MIX_DIALYSIS"`
	ActualufMl            int64     `gorm:"column:ACTUALUF_ML" json:"ACTUALUF_ML"`
	Ufv                   int64     `gorm:"column:UFV" json:"UFV"`
	TotalReplace          int64     `gorm:"column:TOTAL_REPLACE" json:"TOTAL_REPLACE"`
	TotalTreatDuration    int64     `gorm:"column:TOTAL_TREAT_DURATION" json:"TOTAL_TREAT_DURATION"`
	IsHospitalozation     string    `gorm:"column:IS_HOSPITALIZATION" json:"IS_HOSPITALIZATION"`
	IsEmergency           string    `gorm:"column:IS_EMERGENCY" json:"IS_EMERGENCY"`
	EmergencyReason       string    `gorm:"column:EMERGENCY_REASON" json:"EMERGENCY_REASON"`
	IsPerioperativePeriod string    `gorm:"column:IS_PERIOPERATIVE_PERIOD" json:"IS_PERIOPERATIVE_PERIOD"`
	BeforeSbp             int64     `gorm:"column:BEFORE_SBP" json:"BEFORE_SBP"`
	BeforeDbp             int64     `gorm:"column:BEFORE_DBP" json:"BEFORE_DBP"`
	AfterSbp              int64     `gorm:"column:AFTER_SBP" json:"AFTER_SBP"`
	AfterDbp              int64     `gorm:"column:AFTER_DBP" json:"AFTER_DBP"`
	BeforeWeight          float64   `gorm:"column:BEFORE_WEIGHT" json:"BEFORE_WEIGHT"`
	AfterWeight           float64   `gorm:"column:AFTER_WEIGHT" json:"AFTER_WEIGHT"`
	AccessId              string    `gorm:"column:ACCESS_ID" json:"ACCESS_ID"`
	DialyzerId            string    `gorm:"column:DIALYZER_ID" json:"DIALYZER_ID"`
	Ktv                   float64   `gorm:"column:KTV" json:"KTV"`
	StartTime             time.Time `gorm:"column:START_TIME" json:"START_TIME"`
	EndTime               time.Time `gorm:"column:END_TIME" json:"END_TIME"`
	CreateTime            time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	Sjscsj                time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj                    string    `gorm:"column:MJ" json:"MJ"`
	Xgbz                  int64     `gorm:"column:XGBZ" json:"XGBZ"`
	Ylyl1                 string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2                 string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdDialysis) TableName() string {
	return "t_hd_dialysis"
}

type TempHdMiddle struct {
	ID             int64     `gorm:"column:id" json:"id"`
	Sn             string    `gorm:"column:SN" json:"SN"`
	HospitalId     string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	PatientNk      string    `gorm:"column:PATIENT_NK" json:"PATIENT_NK"`
	DialysisId     string    `gorm:"column:DIALYSIS_ID" json:"DIALYSIS_ID"`
	MonitorTime    time.Time `gorm:"column:MONITOR_TIME" json:"MONITOR_TIME"`
	Sbp            int64     `gorm:"column:SBP" json:"SBP"`
	Dbp            int64     `gorm:"column:DBP" json:"DBP"`
	P              int64     `gorm:"column:P" json:"P"`
	Ns             int64     `gorm:"column:NS" json:"NS"`
	Qb             int64     `gorm:"column:QB" json:"QB"`
	Ap             int64     `gorm:"column:AP" json:"AP"`
	Vp             int64     `gorm:"column:VP" json:"VP"`
	Tmp            int64     `gorm:"column:TMP" json:"TMP"`
	Ufr            int64     `gorm:"column:UFR" json:"UFR"`
	Ufv            int64     `gorm:"column:UFV" json:"UFV"`
	OnLine         int64     `gorm:"column:ON_LINE" json:"ON_LINE"`
	Spo2           float64   `gorm:"column:SPO2" json:"SPO2"`
	R              int64     `gorm:"column:R" json:"R"`
	OtherSituation string    `gorm:"column:OTHER_SITUATION" json:"OTHER_SITUATION"`
	Nurse          string    `gorm:"column:NURSE" json:"NURSE"`
	CreateTime     time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	Sjscsj         time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj             string    `gorm:"column:MJ" json:"MJ"`
	Xgbz           int64     `gorm:"column:XGBZ" json:"XGBZ"`
	Ylyl1          string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2          string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdMiddle) TableName() string {
	return "t_hd_middle"
}

type TempHdDivision struct {
	ID           int64     `gorm:"column:id" json:"id"`
	DivisionId   string    `gorm:"column:division_id" json:"division_id"`
	HospitalId   string    `gorm:"column:hospital_id" json:"hospital_id"`
	DevisionName string    `gorm:"column:devision_name" json:"devision_name"`
	UpdateFlag   string    `gorm:"column:update_flag" json:"update_flag"`
	UpdateTime   time.Time `gorm:"column:update_time" json:"update_time"`
	CreateTime   time.Time `gorm:"column:create_time" json:"create_time"`
	Sjscsj       time.Time `gorm:"column:sjscsj" json:"sjscsj"`
	Mj           string    `gorm:"column:mj" json:"mj"`
	Xgbz         int64     `gorm:"column:xgbz" json:"xgbz"`
	Ylyl1        string    `gorm:"column:ylyl1" json:"ylyl1"`
	Ylyl2        string    `gorm:"column:ylyl2" json:"ylyl2"`
}

func (TempHdDivision) TableName() string {
	return "t_hd_division"
}
